# Voice API reference params

## Cebod Telecom sends Request to your webserver

As soon as someone dials your Cebod Telecom phone number, Cebod Telecom will send an HTTP request to the weburl you have configured with the phone number.

How do I know which URL is being connected with a specific phone phone number? Log in to your Cebod Telecom account, click on a phone number and see which URL its linked with. You can direct each phone number to connect with unique URL’s if you have specific instructions/purpose for them

What is the importance of URL connected with the phone number? This URL holds the instruction file defined by you.

So for a phone number to be handled in a specific order, there has to be a URL that its linked to. This URL holds the dial plan or the instruction file that’s created by you. When someone dials your Cebod Telecom phone number, an HTTP request is send to the connected URL, The system then will wait to get response from the \<didML> and handle the call respectively.

### What is included in the Request?

Idea is to give you flexibility to built a dynamic application. So when we send first request for the URL, we also pass some information about the call in the post variables.

***POST:*** Cebod Telecom will submit the call related information in a form to the URL when request is made

You can use all or some of them.

To=”..DIALED\_NUMBER..”\&From=”..caller\_id\_number..”\&CallerName=”..caller\_id\_name..”\&callSid=”..UUID..”\&Direction=”..direction..”\&CallStatus=”..callstatus

**To:** The number that end user dialed.\
&#x20;**From:** Callers Caller ID\
&#x20;**CallerName:** Name of the caller from database, If name is not registered, then we can provide City and State (*\*Extra charges may apply*)\
&#x20;**callSid:** Unique id for each call. Can be useful for reporting purpose.\
&#x20;**Direction:** Whether the call is an inbound or outbound call.\
&#x20;**Callstatus:** What state the call is in at the time of this request. (*On hold, in Queue, answered etc.)*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/voice-api-reference-params.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
